Subject: Re: [MIB-DOCTORS] Updated version of draft-ietf-isms-radius-vacm

From: "Glenn M. Keeni" <[email-masked]>
Date: Thu, 02 Sep 2010 00:15:13 +0900

Hi,
  Thanks. At a quick glance this document is certainly looking much
better. I will going through this in detail and will try to get my
review there ASAP. But one issue that is certainly unresolved is
the following-

On 2010/08/23 22:28, Glenn M. Keeni wrote:
> 10.2.3 In the DESCRIPTION vacmAaaSecurityToGroupEntry row object.
> |     vacmAaaSecurityToGroupEntry OBJECT-TYPE
> |         SYNTAX       VacmAaaSecurityToGroupEntry
> |         MAX-ACCESS   not-accessible
> |         STATUS       current
> |         DESCRIPTION "An entry in this table maps the combination of a
> |                      SnmpSecurityModel and SecurityName into a
> GroupName for
> |                      a particular session.
> |
> |                      Each entry corresponds to a session.
> |
> |                      Entries do not persist across reboots.
> |
> |                      When a session is torn down, disconnected,
timed out
> |                      (e.g. following the RADIUS Session-Timeout
> Attribute),
> |                      or otherwise terminated for any reason, the
> |                      corresponding vacmAaaSecurityToGroupEntry is
> deleted."
>
>        There is a need to mention the conditions under which the row is
>        created.
>        According to RFC 4181
>         "If the agent itself may also create and/or delete rows, then the
>          conditions under which this can occur MUST be clearly documented
>          in the row object DESCRIPTION clause."
>
>        The details are present in Section 7.2.1. Please add the relevant
>        part to the DESCRIPTION clause of this object. (That includes the
>        row update protocol.)

This issue needs fixing.

Glenn

On 2010/09/01 8:54, Randy Presuhn wrote:
> Hi -
> 
> I've posted an update to the radius vacm draft.  Due to the large
> number of (conflicting) comments and responses, I think this version
> needs close inspection.  I've tried to balance the various
> comments, but in some cases I could not see a middle ground.
> In other cases, I've tried to balance conflicting comments, and
> made changes different from what were suggested by either side.
> In several cases, this text differs substantially from the
> "proposed resolution" sent a few days ago, due to the fervent
> responses triggered by that message.
> 
> Diffs are available at
> http://tools.ietf.org/rfcdiff?url2=draft-ietf-isms-radius-vacm-10
> 
> Please look to see whether your concerns have been addressed, and,
> more importantly, to verify that I haven't broken something in the
> course of attempting to address the comments.
> 
> In the interest of email sanity, please direct your comments and
> follow-up discussion to the [email-masked] mailing list.  A few minor
> issues with this revision have already been dealt with there:
>     - module name / descriptor (in)consistency - MIB review guidelines
>       vs. common sense
>     - removed REFERENCE to RFC 5592 (tmSessionID debate)
>     - a misplaced REFERENCE clause broke compilation
>     - a few non-catastrophic typos
> 
> The WG has until Friday, September 3rd, to finish this sanity check,
> so please email your comments before then.
> 
> Randy
> 
> _______________________________________________
> MIB-DOCTORS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mib-doctors